Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154496 - should have a autorelabel kernel boot option to give the same result as /.autorelabel
Summary: should have a autorelabel kernel boot option to give the same result as /.aut...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-12 08:08 UTC by Russell Coker
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version: 8.08-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 18:17:02 UTC


Attachments (Terms of Use)

Description Russell Coker 2005-04-12 08:08:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
When a SE Linux system gets badly misconfigured the standard response to 
requests for advice is "touch /.autorelabel and reboot".  However if the 
machine is messed up to a degree such that it is impossible to login the 
procedure would then be "boot with enforcing=0, touch /.autorelabel, then 
reboot again" which is painful for everyone.  An option to boot with the 
option "autorelabel" would save some time and effort for the person trying to 
fix their system and also some pain for people offering support (both GSS for 
RHEL and people on mailing lists for Fedora). 
 
This may be a candidate for an update to RHEL4. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
. 

Additional info:

Comment 1 Bill Nottingham 2005-04-15 18:17:02 UTC
Added in 8.08-1.


Note You need to log in before you can comment on or make changes to this bug.